=== themes/CMakeLists.txt ===
add_subdirectory(default)
add_subdirectory(ax)
add_subdirectory(flat)
