=== themes/ax/CMakeLists.txt ===
set (THEMES "themes/ax")

install(FILES slimski.theme DESTINATION ${PKGDATADIR}/${THEMES})
install(FILES panel.png DESTINATION ${PKGDATADIR}/${THEMES})
