=== themes/default/CMakeLists.txt ===
set (THEMES "themes/default")

install(FILES slimski.theme DESTINATION ${PKGDATADIR}/${THEMES})
install(FILES panel.png DESTINATION ${PKGDATADIR}/${THEMES})
install(FILES background.jpg DESTINATION ${PKGDATADIR}/${THEMES})
install(FILES ar_EG  bg_BG  ca_ES  cs_CZ  da_DK  de_AT  de_CH  DESTINATION ${PKGDATADIR}/${THEMES})
install(FILES de_DE  et_EE  en_AU  en_GB  en_NZ  en_US  es_ES  DESTINATION ${PKGDATADIR}/${THEMES})
install(FILES es_AR  es_BO  es_CO  es_EC  es_MX  es_NI  es_PE  DESTINATION ${PKGDATADIR}/${THEMES})
install(FILES es_US  es_UY  es_VE  eu_ES  fa_IR  fr_FR  fr_BE  DESTINATION ${PKGDATADIR}/${THEMES})
install(FILES fr_CA  fr_CH  ka_GE  el_GR  hr_HR  is_IS  it_IT  DESTINATION ${PKGDATADIR}/${THEMES})
install(FILES he_IL  ja_JP  kk_KZ  ko_KR  lv_LV  lt_LT  hu_HU  DESTINATION ${PKGDATADIR}/${THEMES})
install(FILES mk_MK  nl_NL  nl_BE  nb_NO  pl_PL  pt_PT  pt_BR  DESTINATION ${PKGDATADIR}/${THEMES})
install(FILES ro_RO  ru_RU  sq_AL  zh_CN  sk_SK  sl_SI  sr_RS  DESTINATION ${PKGDATADIR}/${THEMES})
install(FILES fi_FI  sv_SE  zh_TW  tr_TR  uk_UA  DESTINATION ${PKGDATADIR}/${THEMES})
