=== debian/changelog ===
slimski (1.5.0-6.0antix2) unstable; urgency=medium

  * added runit scripts

 -- anticapitalista <antix@operamail.com>  Fri, 10 Sep 2021 12:48:13 +0300

slimski (1.5.0-6.0antix1) unstable; urgency=medium

    * Updates from upstream

 -- anticapitalista <antix@operamail.com>  Sun, 08 Aug 2021 11:34:47 +0300

slimski (1.5.0-6~contribs2) unstable; urgency=medium

    * Reset background when login in (only normal login).

 -- Xecure <not@telling.you>  Mon, 23 Aug 2021 11:30:08 +0200

slimski (1.5.0-6~contribs1) unstable; urgency=medium

    * Fixed bug: Lastused session (with spaces) could not be read

 -- Xecure <not@telling.you>  Mon, 09 Aug 2021 11:30:08 +0200

slimski (1.5.0-5~contribs1) unstable; urgency=medium

    * Fixed bug: Not loading lastused when using xsessionsdir
    * slimski preconfigured to work with any Debian based Linux Distro
    * Reads /usr/share/Xsessions folder searching for valid sessions
    * Removed dbus as pre-requisite for init script
    * Removed testing txt options in default theme
    
    Debian control configuration: 
    * Changed elogind enforcement dependency. Alt: Consolekit and logind
    * Changed dbus to recommend (not enforced dependency) - testing

 -- Xecure <not@telling.you>  Sun, 08 Aug 2021 13:53:07 +0200

slimski (1.5.0-4.0antix2) unstable; urgency=medium

  * Changed default thee to remove cust messages on screen
  * default login in /etc/slimski.conf set to Xsession
  * remove hard dependency on elogind and dbus

 -- anticapitalista <antix@operamail.com>  Sun, 08 Aug 2021 11:34:47 +0300

slimski (1.5.0-4.0antix1) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Sat, 31 Jul 2021 21:51:30 +0300

slimski (1.5.0-4~contribs1) unstable; urgency=medium

    * Fixed numlock disble to work even if the option is commented out
    * Fixed the missing LANG environment variable causing segfault error
    * Removed NONE theme.

 -- Xecure <not@telling.you>  Tue, 20 Jul 2021 21:25:54 +0200

slimski (1.5.0-3~contribs1) unstable; urgency=medium

    * Fixed numlock enable not working when autologin is enabled

 -- Xecure <not@telling.you>  Fri, 16 Jul 2021 13:23:21 +0200

slimski (1.5.0-2~contribs1) unstable; urgency=medium

    * Fixed locale theme loading (not only for testing)
    * If BLANG check fails, move down to LANG check (for daemonmode).
    * Edited slimski.conf default desktop-session (to rox-icewm)

 -- Xecure <not@telling.you>  Sat, 10 Jul 2021 23:27:54 +0200

slimski (1.5.0-1~contribs1) unstable; urgency=medium

    * Updated 5 languages for default themes
    * Commented out line bl=$(cat /proc/cmdline) in slimski.init

 -- Xecure <not@telling.you>  Sun, 20 Jun 2021 19:11:47 +0200

slimski (1.5.0~b2) unstable; urgency=medium
    * will cleanup this changelog later
    * noted: the following would need to be changed (replaced) in antiX
       /usr/local/share/live-files/files/etc/init.d/slim
       /usr/local/share/live-files/files/etc/init.d/debian/slim
       /usr/local/share/live-files/general-files/etc/slim.conf
    * dpkg-query: no path found matching pattern /etc/init.d/debian/slim
          To inject an equivalent replacement,
          build-iso would need to be modified (I'm guessing)
    * runCommand() which execs the optionally-configured F2--F12 commands
      as well as the popfirst_cmd does DROP PRIVILEGES when launching

 -- skidoo <email@redact.ed>  Tue, 02 Feb 2021 12:34:56 +0100

slimski (1.5.0~b1) unstable; urgency=medium
    * recheck: is the program yet WRITING a lastused file?
    * TODO    explore options for "fullscreen" helpdoc presentation program, bound to Fkey
    * todo: move, or duplicate, some of the conditional zeebug output to LOGSTREAM (tee?)
    * needs tested:   whatif   default sessiontype=foo... but foo is absent from sessiontypes line?
                      Similarly, whatif default line contains a comma (or mid-word space)?
    * Grrrrrr     cust1-5  must be INT values (needs documented)
                 temporarily removed conditional from
                 ShowCust5mesg()
    *   ax21alpha   lacks a unicode font substitute for "Verdana"
           ^---> renders TOFU  (so, choose another fontname?)
    * RECHECK:    do I need to add    Depends: libpam-elogind | logind
          within  debian/conrol
    * TODO       retest  to ensure each of the stretch/center/tile/solidcolor modes works correctly
    * patch applied to handle case   PAM_ACCT_EXPIRED
    *  noted:  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=537604
        security bug, if root-permssioned scrot command specifies output
        to a /tmp/* destination (and a bad actor has symlinked the {known} destination file)
    * changed seemingly innocuous name "screenshot_cmd", to "F11_cmd"
      and added a 'security considerations' note in the conf, the manpage, the readme
    * slimski is hardcoded to reject (prohibit) 'root' user account login
    * TODO    re-verify   does  App::AuthenticateUser (or elsewhere) demand root pw?
    * NEED TO TEST
       whatif both a background.jpg AND a background.PNG file are found in a given theme directory?
       (also, same Q regarding panel jpg/png)

 -- skidoo <email@redact.ed>  Fri, 01 Jan 2021 12:34:56 +0100

slimski (1.4.3) unstable; urgency=medium

    * interim version for internal testing

 -- skidoo <email@redact.ed>  Mon, 18 Mar 2018 12:34:56 +0100

slimski (1.4.2) unstable; urgency=medium

    * added UTF8 support for welcome_message
        (translations followup needed)
    * debian/rules: add hardening rules
        (source fortification, stack protection, relro)
    * remove unused jpeg.c and png.c, and refs within CMakeLists.txt
        Their functionality had already been incorporated into image.cpp
    * app.cpp:  Fix env alloc (ref http://bugs.debian.org/733916)
    * image.cpp, image.h: outcomment unused fn Merge_non_crop()
    * add new options to support centering of input box text and hiding of cursor

