=== debian/control ===
Source: slimski
Section: x11
Priority: optional
Maintainer: skidoo <email@redact.ed>
Build-Depends: debconf, debhelper (>= 9.20151219), dh-exec, po-debconf, sharutils,
    cmake, libpam0g-dev, libjpeg-dev, libpng-dev, libxft-dev, libxmu-dev
Standards-Version: 3.9.8
Homepage: https://gitlab.com/skidoo/slimski

Package: slimski
Architecture: any
Provides: x-display-manager
Recommends: xvkbd, scrot
Suggests: xauth
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0,
    default-logind | logind | consolekit
Description: desktop-independent graphical login manager for X11
 .
 slimski enables users to initializate a graphical session by entering
 username and password in a login screen.
 slimski is configurable via themes and via an options (conf) file.
 It is suitable for machines that do not require remote logins.
